.\"     $NetBSD: intro.4,v 1.4 2005/06/20 13:25:24 peter Exp $
.\"
.\" Copyright (c) 2003 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 29, 2003
.Dt INTRO 4 cobalt
.Os
.Sh NAME
.Nm intro
.Nd introduction to special files and hardware support
.Sh DESCRIPTION
This section describes the special files, related driver functions,
and networking support available in the system.
In this part of the manual, the
.Tn SYNOPSIS
section of each configurable device gives a sample specification
for use in constructing a system description for the
.Xr config 1
program.
The
.Tn DIAGNOSTICS
section lists messages which may appear on the console
and/or in the system error log
.Pa /var/log/messages
due to errors in device operation; see
.Xr syslogd 8
for more information.
.Pp
This section contains both devices which may be configured into
the system and network related information.
The networking support is introduced in
.Xr netintro 4 .
.Sh DEVICE SUPPORT
This section describes the hardware supported by
.Nx Ns /cobalt .
Software support for these devices comes in two forms.
A hardware device may be supported with a character or block
.Em device driver ,
or it may be used within the networking subsystem and have a
.Em network interface driver .
Block and character devices are accessed through files in the file
system of a special type; see
.Xr mknod 8 .
Network interfaces are indirectly accessed through the interprocess
communication facilities provided by the system; see
.Xr socket 2 .
.Pp
A hardware device is identified to the system at configuration time
and the appropriate device or network interface driver is then
compiled into the system.
When the resultant system is booted, the autoconfiguration facilities
in the system probe for the device and, if found, enable the software
support for it.
If a device does not respond at autoconfiguration time it is not
accessible at any time afterwards.
To enable a device which did not autoconfigure, the system must be
rebooted.
.Pp
The autoconfiguration system is described in
.Xr autoconf 4 .
A list of the supported devices is given below.
.Sh HARDWARE
The following systems are supported:
.Pp
.Bl -tag -width XXXXXX -offset indent -compact
.It Qube/Raq 1
.It Qube/Raq 2
.El
.Sh LIST OF DEVICES
The devices listed below are supported in this incarnation of the
system.
Devices are indicated by their functional interface.
Not all supported devices are listed.
.Pp
.Bl -tag -width com -offset indent -compact
.It gt
PCI bridge
.It com
serial communications interface
.El
.Pp
PCI devices are supported through the
.Xr pci 4
bus and associated device drivers.
.\" .Sh UNSUPPORTED DEVICES
.\" The following devices are not supported, due to unavailability of
.\" either documentation or sample hardware:
.\" .Pp
.\" .Bl -tag -width XXXXX -offset indent -compact
.\" .It not yet
.\" .El
.\" .Pp
.Sh SEE ALSO
.Xr config 1 ,
.Xr autoconf 4 ,
.Xr gt 4
.Sh HISTORY
This
.Tn cobalt
.Nm intro
appeared in
.Nx 2.0 .
